curator-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jordan Zimmerman (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CURATOR-41) Curator masks/loses exception in LockInternals
Date Wed, 25 Sep 2013 03:19:02 GMT

     [ https://issues.apache.org/jira/browse/CURATOR-41?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jordan Zimmerman updated CURATOR-41:
------------------------------------

    Fix Version/s: TBD
    
> Curator masks/loses exception in LockInternals
> ----------------------------------------------
>
>                 Key: CURATOR-41
>                 URL: https://issues.apache.org/jira/browse/CURATOR-41
>             Project: Apache Curator
>          Issue Type: Bug
>          Components: Recipes
>            Reporter: Shevek
>             Fix For: TBD
>
>
>     private boolean internalLockLoop(long startMillis, Long millisToWait, String ourPath)
throws Exception
>         try {
>         ...
>         }
>         catch ( Exception e )
>         {
>             doDelete = true;
>             throw e;
>         }
>         finally
>         {
>             if ( doDelete )
>             {
>                 deleteOurPath(ourPath);
>             }
>         }
> Say ... throws an exception. catch sets doDelete = true. Then deleteOurPath throws an
exception. We never find out what the original exception was that caused the mutex to fail.
> In JDK8, I think we get the extra Throwable#getSuppressed() call, which will return us
this extra exception, but we aren't on JDK8 yet.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message